<!doctype html>
<html lang="en">

<head>
    <%- include('./partials/head.ejs'); %>

        <link rel="stylesheet" href="/stylesheets/play.css">

        <title>Rock Paper Scissors</title>
</head>

<body">
    <nav class="navbar navbar-light">
        <div class="container-fluid">
            <div class="navbar-nav ms-5">
                <a class="nav-link" href=".">&lt;</a>
            </div>
            <a class="navbar-brand ms-5 me-auto" href="#" id="game-name">
                <img src="/images/logo.png" alt="logo" width="72" height="72"
                    class="d-inline-block align-text-center me-5">
            </a>
        </div>
    </nav>

    <div class="container">
        <div class="row row-cols-3 align-items-center text-center g-4">
            <div class="col">
                <div class="p-3 clickable" id="player-name" data-bs-toggle="tooltip" data-bs-placement="bottom"
                    title="Click to change name!" onclick="setPlayerName()"></div>
            </div>
            <div class="col"></div>
            <div class="col">
                <div class="p-3" id="com-name"></div>
            </div>

            <% for (let i=0; i < 3; i++) {%>
                <div class="col">
                    <div class="p-3 col-choice" id="player-<%= i %>"><img src="/images/<%= choices[i]%>.png"
                            class="img-fluid clickable" alt="<%= choices[i]%>-player"
                            onclick="playerChoose('<%= i %>')">
                    </div>
                </div>

                <div class="col">
                    <% if (i==1) {%>
                        <div class="p-3 col-result-reset" id="rps-result">VS
                        </div>
                        <%}%>
                </div>

                <div class="col">
                    <div class="p-3 col-choice" id="com-<%= i %>"><img src="/images/<%= choices[i]%>.png"
                            class="img-fluid" alt="<%= choices[i]%>-com">
                    </div>
                </div>
                <% } %>

                    <div class="col"></div>
                    <div class="col">
                        <div class="p-3"><img src="/images/refresh.png" class="img-fluid clickable" alt="refresh"
                                onclick="restartRPS()">
                        </div>
                    </div>
                    <div class="col"></div>
        </div>
    </div>

    <%- include('./partials/bootstrap-js.ejs'); %>

        <script>
            var tooltipTriggerList = [].slice.call(document.querySelectorAll('[data-bs-toggle="tooltip"]'))
            var tooltipList = tooltipTriggerList.map(function (tooltipTriggerEl) {
                return new bootstrap.Tooltip(tooltipTriggerEl)
            })
        </script>

        <script type="module" src="/javascripts/play.js"></script>
        </body>

</html>